<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-690"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXCakeView%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXCakeView类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_cake_view.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_cake_view-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXCakeView类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_cake_view_8h_source.html">XHXCakeView.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXCakeView 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_cake_view.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a25403316cb33317c8f6223ff09bcc443"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_cake_view.html#a25403316cb33317c8f6223ff09bcc443">addCake:</a></td></tr>
<tr class="separator:a25403316cb33317c8f6223ff09bcc443"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a66f385b2cfb86077add347e96064ff75"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_cake_view.html#a66f385b2cfb86077add347e96064ff75">setupProgress:values:</a></td></tr>
<tr class="separator:a66f385b2cfb86077add347e96064ff75"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a61403e21a87b2d737a60a4f32ab33fec"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_x_h_x_cake_view.html">XHXCakeView</a> *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_cake_view.html#a61403e21a87b2d737a60a4f32ab33fec">darkCakeView</a></td></tr>
<tr class="separator:a61403e21a87b2d737a60a4f32ab33fec"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:afae0f5a6f883b2219cec59462040840b"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_x_h_x_cake_view.html">XHXCakeView</a> *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_cake_view.html#afae0f5a6f883b2219cec59462040840b">whiteCakeView</a></td></tr>
<tr class="separator:afae0f5a6f883b2219cec59462040840b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a761f5c7901a07a750838d99179ca01c0"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#a761f5c7901a07a750838d99179ca01c0">innerRadius</a></td></tr>
<tr class="separator:a761f5c7901a07a750838d99179ca01c0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af8b551290aa68488aaed49b02a20cc3a"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#af8b551290aa68488aaed49b02a20cc3a">totalRadius</a></td></tr>
<tr class="separator:af8b551290aa68488aaed49b02a20cc3a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8d63b8bb62778da52983a90d70eb6839"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#a8d63b8bb62778da52983a90d70eb6839">cakeSpace</a></td></tr>
<tr class="separator:a8d63b8bb62778da52983a90d70eb6839"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a31f2da6515b8dfd61aa2b20dff73c373"><td class="memItemLeft" align="right" valign="top">NSMutableArray&lt; <a class="el" href="interface_x_h_x_cake.html">XHXCake</a> * &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#a31f2da6515b8dfd61aa2b20dff73c373">cakes</a></td></tr>
<tr class="separator:a31f2da6515b8dfd61aa2b20dff73c373"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a31993300e2a1eabbeec1e0444c9ad64e"><td class="memItemLeft" align="right" valign="top">XHXCakeViewType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#a31993300e2a1eabbeec1e0444c9ad64e">type</a></td></tr>
<tr class="separator:a31993300e2a1eabbeec1e0444c9ad64e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0dd5b2485f0f9a1202dc47946f500276"><td class="memItemLeft" align="right" valign="top">NSInteger&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#a0dd5b2485f0f9a1202dc47946f500276">selectedIndex</a></td></tr>
<tr class="separator:a0dd5b2485f0f9a1202dc47946f500276"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2e7da70d1f1d345156f000f5fba91bb9"><td class="memItemLeft" align="right" valign="top">dispatch_block_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake_view.html#a2e7da70d1f1d345156f000f5fba91bb9">selectItemBlk</a></td></tr>
<tr class="separator:a2e7da70d1f1d345156f000f5fba91bb9"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a25403316cb33317c8f6223ff09bcc443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25403316cb33317c8f6223ff09bcc443">◆&nbsp;</a></span>addCake:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) addCake: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_x_h_x_cake.html">XHXCake</a> *)&nbsp;</td>
          <td class="paramname"><em>cake</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a61403e21a87b2d737a60a4f32ab33fec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61403e21a87b2d737a60a4f32ab33fec">◆&nbsp;</a></span>darkCakeView</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (<a class="el" href="interface_x_h_x_cake_view.html">XHXCakeView</a> *) darkCakeView </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a66f385b2cfb86077add347e96064ff75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66f385b2cfb86077add347e96064ff75">◆&nbsp;</a></span>setupProgress:values:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setupProgress: </td>
          <td></td>
          <td class="paramtype">(NSArray&lt;NSNumber *&gt; *)&nbsp;</td>
          <td class="paramname"><em>progresses</em></td>
        </tr>
        <tr>
          <td class="paramkey">values:</td>
          <td></td>
          <td class="paramtype">(NSArray&lt;NSNumber *&gt; *)&nbsp;</td>
          <td class="paramname"><em>values</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="afae0f5a6f883b2219cec59462040840b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afae0f5a6f883b2219cec59462040840b">◆&nbsp;</a></span>whiteCakeView</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (<a class="el" href="interface_x_h_x_cake_view.html">XHXCakeView</a> *) whiteCakeView </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a31f2da6515b8dfd61aa2b20dff73c373"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31f2da6515b8dfd61aa2b20dff73c373">◆&nbsp;</a></span>cakes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSMutableArray&lt; <a class="el" href="interface_x_h_x_cake.html">XHXCake</a> * &gt; *) cakes</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d63b8bb62778da52983a90d70eb6839"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d63b8bb62778da52983a90d70eb6839">◆&nbsp;</a></span>cakeSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) cakeSpace</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a761f5c7901a07a750838d99179ca01c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a761f5c7901a07a750838d99179ca01c0">◆&nbsp;</a></span>innerRadius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) innerRadius</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a0dd5b2485f0f9a1202dc47946f500276"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dd5b2485f0f9a1202dc47946f500276">◆&nbsp;</a></span>selectedIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSInteger) selectedIndex</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e7da70d1f1d345156f000f5fba91bb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e7da70d1f1d345156f000f5fba91bb9">◆&nbsp;</a></span>selectItemBlk</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (dispatch_block_t) selectItemBlk</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="af8b551290aa68488aaed49b02a20cc3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8b551290aa68488aaed49b02a20cc3a">◆&nbsp;</a></span>totalRadius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) totalRadius</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a31993300e2a1eabbeec1e0444c9ad64e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31993300e2a1eabbeec1e0444c9ad64e">◆&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (XHXCakeViewType) type</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/XHXCakeView/<a class="el" href="_x_h_x_cake_view_8h_source.html">XHXCakeView.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/XHXCakeView/<a class="el" href="_x_h_x_cake_view_8m.html">XHXCakeView.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_cake_view.html">XHXCakeView</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>